org.apache.jmeter.report.processor.graph.impl

## Class SyntheticResponseTimeDistributionGraphConsumer

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractSampleProcessor
  - - org.apache.jmeter.report.processor.AbstractSampleConsumer
    - - org.apache.jmeter.report.processor.graph.AbstractGraphConsumer
      - - org.apache.jmeter.report.processor.graph.impl.SyntheticResponseTimeDistributionGraphConsumer

- All Implemented Interfaces:
    SampleConsumer, SampleProcessor, SampleProducer

      public class SyntheticResponseTimeDistributionGraphConsumer
      extends AbstractGraphConsumer

  The class SyntheticResponseTimeDistributionGraphConsumer provides a graph to visualize the distribution of the response times on APDEX threshold
  Since:
    3.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

      `DEFAULT_AGGREGATED_KEYS_SERIES_FORMAT, DEFAULT_GROUP, DEFAULT_OVERALL_SERIES_FORMAT, RESULT_MAX_X, RESULT_MAX_Y, RESULT_MIN_X, RESULT_MIN_Y, RESULT_SERIES, RESULT_SERIES_DATA, RESULT_SERIES_IS_CONTROLLER, RESULT_SERIES_IS_OVERALL, RESULT_SERIES_NAME, RESULT_SUPPORTS_CONTROLLERS_DISCRIMINATION, RESULT_TITLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyntheticResponseTimeDistributionGraphConsumer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Map<java.lang.String,GroupInfo>` | `createGroupInfos()`
    `protected GraphKeysSelector` | `createKeysSelector()`
    `long` | `getSatisfiedThreshold()`
    `long` | `getToleratedThreshold()`
    `protected void` | `initializeExtraResults(MapResultData parentResult)` Inherited classes can add properties to the result
    `void` | `setSatisfiedThreshold(long satisfiedThreshold)`
    `void` | `setToleratedThreshold(long toleratedThreshold)`

    - ### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

      `consume, createSerieResult, getAggregatedKeysSeriesFormat, getGroupInfos, getInvertsKeysAndValues, getKeysSelector, getOverallSeriesFormat, getTitle, initialize, rendersPercentiles, setAggregatedKeysSeriesFormat, setOverallSeriesFormat, setRenderPercentiles, setRevertKeysAndValues, setTitle, startConsuming, stopConsuming`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

      `addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setConsumedMetadata, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

      `getChannelAttribute, getSampleContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

      `getChannelAttribute, getSampleContext`

- - ### Constructor Detail

    - #### SyntheticResponseTimeDistributionGraphConsumer

          public SyntheticResponseTimeDistributionGraphConsumer()

  - ### Method Detail

    - #### createKeysSelector

          protected final GraphKeysSelector createKeysSelector()

      Specified by:
        `createKeysSelector` in class `AbstractGraphConsumer`

    - #### createGroupInfos

          protected java.util.Map<java.lang.String,GroupInfo> createGroupInfos()

      Specified by:
        `createGroupInfos` in class `AbstractGraphConsumer`

    - #### initializeExtraResults

          protected void initializeExtraResults(MapResultData parentResult)

      Description copied from class: `AbstractGraphConsumer`
      Inherited classes can add properties to the result
      Specified by:
        `initializeExtraResults` in class `AbstractGraphConsumer`
      Parameters:
        `parentResult` - the parent result

    - #### getSatisfiedThreshold

          public long getSatisfiedThreshold()

      Returns:
        the satisfiedThreshold

    - #### setSatisfiedThreshold

          public void setSatisfiedThreshold(long satisfiedThreshold)

      Parameters:
        `satisfiedThreshold` - the satisfiedThreshold to set

    - #### getToleratedThreshold

          public long getToleratedThreshold()

      Returns:
        the toleratedThreshold

    - #### setToleratedThreshold

          public void setToleratedThreshold(long toleratedThreshold)

      Parameters:
        `toleratedThreshold` - the toleratedThreshold to set

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.